Get the most out of your Centmin Mod LEMP stack
Become a Member

Beta Branch add addons/ruby.sh in 123.09beta01

Discussion in 'Centmin Mod Github Commits' started by eva2000, Dec 19, 2018.

  1. eva2000

    eva2000 Administrator Staff Member

    42,078
    9,497
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,613
    Local Time:
    1:51 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    add addons/ruby.sh in 123.09beta01

    - Add ruby version manager (rvm) based ruby installer https://rvm.io/. Allows you to install ruby versions newer than CentOS distro provided versions - CentOS 6 uses ruby 1.8.3 and CentOS 7 uses 2.0.0 while latest right now is 2.5.3. Some gem installs require ruby version >1.9 which CentOS 6 systems are not able to satisfy without installing new ruby version via rvm. This addons/ruby.sh allows CentOS 6 systems to installer ruby version newer than the default 1.8.3 via yum packages.
    - After running ruby.sh install, will need to exit your SSH session and re-login one time to get the correct ruby version PATH detected.

    Continue reading...

    123.09beta01 branch
     
    • Like Like x 1
  2. eva2000

    eva2000 Administrator Staff Member

    42,078
    9,497
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,613
    Local Time:
    1:51 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    Code (Text):
    ruby -v
    ruby 2.5.3p105 (2018-10-18 revision 65156) [x86_64-linux]
    
    gem -v
    2.7.8
    
    rails --version
    Rails 5.2.2